% Define parameters

t = 0:0.001:1;
f = 20;
signal = sin(2*pi*f*t);

% Simulate different sample rates and plots
figure;
for i = 2:5:50
    subplot(1,2,1); plot(t,signal,'r', 'Linewidth', 2); title('High Sampling Rate', 'FontWeight', 'normal', 'FontSize', 14);
    subplot(1,2,2); plot(t(1:i:1000),signal(1:i:1000), 'r', 'Linewidth', 2); title('Low Sampling Rate', 'FontWeight', 'normal', 'FontSize', 14); 
end